EXPAND_NONE       = 0
EXPAND_VERTICAL   = 1
EXPAND_HORIZONTAL = 2

ALIGNMENT_LEFT    = 0x1
ALIGNMENT_CENTER  = 0x2
ALIGNMENT_RIGHT   = 0x4
ALIGNMENT_TOP     = 0x10
ALIGNMENT_VCENTER = 0x20
ALIGNMENT_BOTTOM  = 0x40

struct t_Widget
	left          dd ?
	top           dd ?
	width         dd ?
	height        dd ?
	min_width     dd ?
	min_height    dd ?
	req_width     dd ?
	req_height    dd ?
	expand        dd ?
	alignment     dd ?

	visible       dd ?
	isContainer   dd ?
	
	custom_data   dd ?

	lpDrawFunc    dd ?
	lpRecalcFunc  dd ?
ends

struct t_Container
	left          dd ?
	top           dd ?
	width         dd ?
	height        dd ?
	min_width     dd ?
	min_height    dd ?
	req_width     dd ?
	req_height    dd ?
	expand        dd ?
	alignment     dd ?

	visible       dd ?
	isContainer   dd ?
	
	custom_data   dd ?

	lpDrawFunc    dd ?
	lpRecalcFunc  dd ?
	
	countOfChilds dd ?
	childs        dd ?
ends